KSSLCertBox Class Reference

`#include <ksslinfodlg.h>`

Inherits QScrollView.

## Public Member Functions

| KSSLCertBox (QWidget *parent=0L, const char *name=0L, WFlags f=0)
void | setValues (QString certName, QWidget *mailCatcher=0L)

## Detailed Description

KDE SSL Certificate Box.

This class creates a widget which formats and displays the contents of an SSL X.509 certificate. That is, it takes the "subject" of the certificate and displays everything contained therein.

Author
  George Staikos staik.nosp@m.os@k.nosp@m.de.or.nosp@m.g

See also
  KSSLInfoDlg KDE SSL Certificate Box

Definition at line 149 of file ksslinfodlg.h.

## Constructor & Destructor Documentation

KSSLCertBox::KSSLCertBox | ( | QWidget * | parent = `0L`,
|  | const char * | name = `0L`,
|  | WFlags | f = `0`
| ) |  |

Construct a certificate box.

Parameters

  parent | the parent widget
  name | the internal name of this instance
  f | widget flags for the object

Definition at line 368 of file ksslinfodlg.cc.

## Member Function Documentation

void KSSLCertBox::setValues | ( | QString | certName,
|  | QWidget * | mailCatcher = `0L`
| ) |  |

Change the contents of the widget.

Parameters

  certName | the name ("subject") of the certificate
  mailCatcher | the widget which catches the url open events

Definition at line 377 of file ksslinfodlg.cc.

The documentation for this class was generated from the following files:

- ksslinfodlg.h
- ksslinfodlg.cc

KDE Home | KDE Accessibility Home | Description of Access Keys